.song-list{
    width: 100%;
    height: 57vh;
}

.error-banner{
    width: 90%;
    margin: 0 auto;
    padding: 1rem;
    background-color: #555;
}

.error-banner h4{
    color: #fff;
    text-align: center;
}

.song-list-header{
    width: 90%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.song-list-header h2{
    padding-left: 2rem;
}

.buttons{
    display: none;
}

.song-list-header .buttons button{
    padding: 1rem 1.5rem;
    text-transform: uppercase;
    font-family: 'Roboto', sans-serif;
    border: none;
    color: #fff;
    font-weight: 600;
    cursor: pointer;
    transition: transform 0.2s ease;
}

.song-list-header .buttons button:hover{
    transform: scale(1.05); 
}

.song-list-header .buttons button:nth-child(1){
    background-color: #679436;
}

.song-list-header .buttons button:nth-child(2){
    background-color: #300f0f;
    outline: none;
}

.song-table{
    width: 80%;
    display: flex;
    margin: 0 auto;
}

.song-table table{
    width: 100%;
    table-layout: fixed;
}

.song-table table th {
    padding: 1rem;
    background-color: #555;
    color: #fff;
}

.song-table table td{
    padding: 1rem;
    border: 1px solid #555
}

.song-table table th:nth-child(1),
.song-table table td:nth-child(1) {
    width: 5%;
    text-align: center;
}

.song-table table th:nth-child(2),
.song-table table td:nth-child(2) {
    width: 65%;
    text-align: center;
}

.song-table table th:nth-child(3),
.song-table table td:nth-child(3) {
    width: 30%;
    text-align: center;
}